<?xml version="1.0" encoding="UTF-8"?>
<definitions name="ConcreteLoanService" targetNamespace="http://j2ee.netbeans.org/wsdl/ConcreteLoanService"
    xmlns="http://schemas.xmlsoap.org/wsdl/"
    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://j2ee.netbeans.org/wsdl/ConcreteLoanService" xmlns:ns0="http://j2ee.netbeans.org/wsdl/loanServicePT" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:plink="http://docs.oasis-open.org/wsbpel/2.0/plnktype">
    <import location="loanServicePT.wsdl" namespace="http://j2ee.netbeans.org/wsdl/loanServicePT"/>
    <types/>
    <binding name="LoanBinding" type="ns0:loanServicePT">
        <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="rpc"/>
        <operation name="request">
            <soap:operation/>
            <input name="input1">
                <soap:body use="literal"/>
            </input>
            <output name="output1">
                <soap:body use="literal"/>
            </output>
            <fault name="fault1">
                <soap:fault name="fault1"/>
            </fault>
        </operation>
    </binding>
    <service name="LoanService">
        <port name="LoanServicePort" binding="tns:LoanBinding">
            <soap:address location="http://localhost:8080/active-bpel/services/LoanService"/>
        </port>
    </service>
    <plink:partnerLinkType name="loanServicePLT">
        <plink:role name="loanServiceRoleType" portType="ns0:loanServicePT"/>
    </plink:partnerLinkType>
</definitions>
